PETSc version 3.15.5
Fix/Edit manual page

# VecScatterSetFromOptions

Configures the vector scatter from the options database.

### Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterSetFromOptions(VecScatter sf)

Collective on VecScatter

### Input Parameter

| sf | - The vector scatter

### Notes

To see all options, run your program with the -help option, or consult the users manual. Must be called before VecScatterSetUp() but before the vector scatter is used.

### See Also

VecScatterCreate(), VecScatterDestroy(), VecScatterSetUp()

### Level

beginner

### Location

src/vec/is/sf/interface/vscat.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages